
From: Sean Estabrooks <seanlkml@rogers.com>

We have kernel/configs.c, but no way of turning it on in config.



 init/Kconfig |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+)

diff -puN init/Kconfig~ikconfig-enable init/Kconfig
--- 25/init/Kconfig~ikconfig-enable	2003-08-09 15:30:41.000000000 -0700
+++ 25-akpm/init/Kconfig	2003-08-09 15:30:41.000000000 -0700
@@ -109,6 +109,31 @@ config LOG_BUF_SHIFT
 		     13 =>  8 KB
 		     12 =>  4 KB
 
+config IKCONFIG
+	bool "Kernel .config support"
+	---help---
+	  This option enables the complete Linux kernel ".config" file
+	  contents, information on compiler used to build the kernel,
+	  kernel running when this kernel was built and kernel version
+	  from Makefile to be saved in kernel. It provides documentation
+	  of which kernel options are used in a running kernel or in an
+	  on-disk kernel.  This information can be extracted from the kernel
+	  image file with the script scripts/extract-ikconfig and used as
+	  input to rebuild the current kernel or to build another kernel.
+	  It can also be extracted from a running kernel by reading
+	  /proc/ikconfig/config and /proc/ikconfig/built_with, if enabled.
+	  /proc/ikconfig/config will list the configuration that was used
+	  to build the kernel and /proc/ikconfig/built_with will list
+	  information on the compiler and host machine that was used to
+	  build the kernel.
+
+config IKCONFIG_PROC
+	bool "Enable access to .config through /proc/ikconfig"
+	depends on IKCONFIG
+	---help---
+	  This option enables access to kernel configuration file and build
+	  information through /proc/ikconfig.
+
 
 menuconfig EMBEDDED
 	bool "Remove kernel features (for embedded systems)"

_
